---
title: Inspin Digital | Reserved names
description: Claim your Handshake domain name reserved for over 100 companies, organizations, and individuals by Inspin Digital.
---

# Claim Reserved Name

Thank you for your interest in Handshake. <a href="https://handshake.org" target="_BLANK">HNS</a> is a decentralized, permissionless, and blockchain-based naming system that allows you to truly own your online identity. You can learn more in our article about <a href="/articles/future-of-domains" >The Future of Domain Names</a>.

To help spread awareness of Handshake, we are gifting names reserved for companies, organizations, and individuals.

To claim a name, you'll first need to have a <a href="https://www.namebase.io/register/35xfyv" target="_BLANK">Namebase.io</a> account or a HNS wallet, such as <a href="https://bobwallet.io" target="_BLANK">Bob Wallet</a>.

Secondly, to help spread the word, we ask that you make a social media post regarding your reserved name and tag <a href="https://x.com/InspinHQ" target="_BLANK">@InspinHQ</a>.

Here is an example:

<img class="desktop" src="/img/reserved/thatnsun.png" alt="" />
<img class="mobile" src="/img/reserved/thatnsun-alt.png" alt="" />

Finally, submit the form below or email reserved@inspin.io and include the email address associated with your Namebase account or your HNS wallet address and a link to your social media post. 

Once confirmed, we'll transfer the name. Thank you for taking the time to learn about Handshake and claim your name. Please reach out if you have any questions. 🤝

View 100+ reserved names on <a href="https://parked.page/domains?status=reserved&sort=length" target="_BLANK">://parked/</a>, our HNS parking service.

PS: You must "renew" your name every ~2 years for a couple of cents. We recommend doing this yearly to be safe. Namebase does this automatically if enough funds are in your account.

## Claim Form